Added dependency for libredline, post-installation will add the needed entries in...
[openwrt/svn-archive/archive.git] / openwrt / package / atftp / ipkg / files / postinst
diff --git a/openwrt/package/atftp/ipkg/files/postinst b/openwrt/package/atftp/ipkg/files/postinst
new file mode 100755 (executable)
index 0000000..a296449
--- /dev/null
@@ -0,0 +1,8 @@
+#!/bin/sh
+grep -q '^tftp[[:space:]]*69/tcp' ${IPKG_INSTROOT}/etc/services 2>/dev/null
+if [ $? -ne 0 ]; then
+       echo "tftp            69/tcp" >>${IPKG_INSTROOT}/etc/services
+       echo "tftp            69/udp" >>${IPKG_INSTROOT}/etc/services
+       echo "tftp-mcast    1758/tcp" >>${IPKG_INSTROOT}/etc/services
+       echo "tftp-mcast    1758/udp" >>${IPKG_INSTROOT}/etc/services
+fi